/**
 * DevExtreme (cjs/renovation/utils/shallow_equals.js)
 * Version: 22.1.0 (build 21335-0845)
 * Build date: Wed Dec 01 2021
 *
 * Copyright (c) 2012 - 2021 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
"use strict";
exports.shallowEquals = void 0;
var shallowEquals = function(firstObject, secondObject) {
    if (Object.keys(firstObject).length !== Object.keys(secondObject).length) {
        return false
    }
    return Object.keys(firstObject).every((function(key) {
        return firstObject[key] === secondObject[key]
    }))
};
exports.shallowEquals = shallowEquals;
